## golang-github-go-git-go-billy 5.5.0

=== Makefile ===
# Go parameters
GOCMD = go
GOTEST = $(GOCMD) test 

.PHONY: test
test:
	$(GOTEST) -race ./...

test-coverage:
	echo "" > $(COVERAGE_REPORT); \
	$(GOTEST) -coverprofile=$(COVERAGE_REPORT) -coverpkg=./... -covermode=$(COVERAGE_MODE) ./...

## golang-github-go-git-go-billy 5.3.1

=== debian/changelog ===
golang-github-go-git-go-billy (5.3.1-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Nov 2021 20:39:38 +0530

golang-github-go-git-go-billy (5.3.1-2) unstable; urgency=medium

  * New version to fix dak reject with
   golang-github-go-git-go-billy_5.3.1-1.dsc: Does not match file already
   existing in the pool.

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Nov 2021 18:07:29 +0530

golang-github-go-git-go-billy (5.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #998876)

 -- Pirate Praveen <praveen@debian.org>  Tue, 09 Nov 2021 14:35:38 +0530

=== debian/control ===
Source: golang-github-go-git-go-billy
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-gopkg-check.v1-dev,
               golang-golang-x-sys-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-billy
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-billy.git
Homepage: https://github.com/go-git/go-billy
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/go-git/go-billy/v5

Package: golang-github-go-git-go-billy-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-gopkg-check.v1-dev,
         golang-golang-x-sys-dev,
         ${misc:Depends}
Description: missing interface filesystem abstraction for Go
 The missing interface filesystem abstraction for Go.  Billy implements
 an interface based on the os standard library, allowing to develop
 applications without dependency on the underlying storage. Makes it
 virtually free to implement mocks and testing over filesystem operations.
 .
 Why billy?  The library billy deals with storage systems and Billy
 is the name of a well-known, IKEA bookcase. That's it.

## golang-github-go-git-go-billy 5.5.0

=== debian/changelog ===
golang-github-go-git-go-billy (5.5.0-2) unstable; urgency=medium

  * Team upload.
  * Drop <!nocheck> from golang-gopkg-check.v1-dev. Closes: #1116751.
  * Drop "Priority: optional", no longer needed.
  * Drop "Rules-Requires-Root: no", no longer needed.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Oct 2025 01:40:00 +0200

golang-github-go-git-go-billy (5.5.0-1) unstable; urgency=medium

  [ Maytham Alsudany ]
  * Team upload
  * New upstream version 5.5.0
    * Update (B-)Deps
  * Add <!nocheck> to golang-gopkg-check.v1-dev B-Dep, remove from Deps
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 29 Mar 2024 20:16:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-cyphar-filepath-securejoin-dev,
                golang-gopkg-check.v1-dev,
-               golang-golang-x-sys-dev
-Standards-Version: 4.6.0
+               golang-golang-x-sys-dev,
+               golang-gomega-dev <!nocheck>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-billy
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-git-go-billy.git
 Homepage: https://github.com/go-git/go-billy
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/go-git/go-billy/v5
 
 Package: golang-github-go-git-go-billy-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-gopkg-check.v1-dev,
+Depends: golang-github-cyphar-filepath-securejoin-dev,
          golang-golang-x-sys-dev,
          ${misc:Depends}
 Description: missing interface filesystem abstraction for Go

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/go-git/go-billy/tags .*/v?(\d\S*)\.tar\.gz debian
